<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="---" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AvailableLibraryUpdateStorage">
    <library-updates>
      <library-update>
        <group-id>com.android.support.test.espresso</group-id>
        <name>espresso-core</name>
        <version>3.0.2</version>
        <repository>Google,Android Repository</repository>
      </library-update>
    </library-updates>
    <last-search-timestamp>1598101089404</last-search-timestamp>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="7437f66f-5eae-4598-8c9d-1914fbd90419" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/BaseActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="102">
              <caret line="12" column="18" selection-start-line="12" selection-start-column="18" selection-end-line="12" selection-end-column="18" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_skin/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="281">
              <caret line="17" column="39" selection-start-line="17" selection-start-column="39" selection-end-line="17" selection-end-column="39" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
          <provider editor-type-id="android-designer2" />
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="375">
              <caret line="15" column="47" lean-forward="true" selection-start-line="15" selection-start-column="47" selection-end-line="15" selection-end-column="47" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/SkinFactory.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="167">
              <caret line="87" column="7" lean-forward="true" selection-start-line="87" selection-start-column="7" selection-end-line="87" selection-end-column="7" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.2.0/13e8ff89631c2e101eb6bddd12c2fb4bbd74b15d/appcompat-1.2.0-sources.jar!/androidx/appcompat/app/AppCompatDelegate.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="202">
              <caret line="480" column="25" selection-start-line="480" selection-start-column="25" selection-end-line="480" selection-end-column="25" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.2.0/13e8ff89631c2e101eb6bddd12c2fb4bbd74b15d/appcompat-1.2.0-sources.jar!/androidx/appcompat/app/AppCompatDelegateImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="352">
              <caret line="1550" column="42" selection-start-line="1550" selection-start-column="42" selection-end-line="1550" selection-end-column="42" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.2.0/13e8ff89631c2e101eb6bddd12c2fb4bbd74b15d/appcompat-1.2.0-sources.jar!/androidx/appcompat/app/AppCompatViewInflater.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-1648">
              <caret line="113" column="26" selection-start-line="113" selection-start-column="18" selection-end-line="113" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/SkinManager.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-1625">
              <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#750#751#0" expanded="true" />
                <element signature="e#788#789#0" expanded="true" />
                <element signature="e#3973#3974#0" expanded="true" />
                <element signature="e#4005#4006#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="valueResourceFile" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>mConstructorSignature</find>
      <find>mFactorySet =</find>
      <find>add</find>
      <find>AssetManager(</find>
      <find>addAssetPath(</find>
      <find>onCreateView</find>
      <find>sConstructorMap</find>
      <find>TextView(</find>
      <find>inflater(</find>
      <find>inflate(</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="F:/sdk1/sources/android-28/android/view/LayoutInflater.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/values/colors.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values/attr.xml" />
        <option value="$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/bean/SkinItem.java" />
        <option value="$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/SkinManager.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_skin/MyApplicatipn.java" />
        <option value="$PROJECT_DIR$/skin/src/main/res/values/colors.xml" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_two.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_skin/MainActivity.java" />
        <option value="$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/BaseActivity.java" />
        <option value="$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/bean/SkinView.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_skin/TwoActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_skin/MyApplication.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/SkinFactory.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="4" />
    <option name="y" value="23" />
    <option name="width" value="1644" />
    <option name="height" value="1018" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="AndroidView" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="mn_vip_skin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="skin_core" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="skin_core" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="skin_core" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="skin_core" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="skin_core" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="manager" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_VIP_Skin" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_Skin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="skin_core" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="manager" type="462c0819:PsiDirectoryNode" />
              <item name="bean" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="last_opened_file_path" value="$USER_HOME$/Desktop/skin.apk" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_VIP_Skin\skin\src\main\res\drawable" />
      <recent name="F:\MN_Android\MN_VIP_Skin\app\src\main\res\drawable" />
      <recent name="F:\MN_Android\MN_VIP_Skin\app\src\main\res\layout" />
      <recent name="F:\MN_Android\MN_VIP_Skin\app\src\main\java\com\maniu\mn_vip_skin" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.skin_core.manager.bean" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_VIP_Skin\skin_core\src\main\res\values" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Android App.app">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="skin" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="skin" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="7437f66f-5eae-4598-8c9d-1914fbd90419" name="Default Changelist" comment="" />
      <created>1597923993803</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1597923993803</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="4" y="23" width="1644" height="1018" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.19783714" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Build Variants" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Designer" order="5" />
      <window_info id="Resources Explorer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Favorites" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Run" order="0" weight="0.22033899" />
      <window_info anchor="bottom" id="Logcat" order="1" weight="0.10774818" />
      <window_info anchor="bottom" id="TODO" order="2" />
      <window_info anchor="bottom" id="Android Profiler" order="3" />
      <window_info anchor="bottom" id="Debug" order="4" weight="0.4261501" />
      <window_info anchor="bottom" id="Terminal" order="5" />
      <window_info anchor="bottom" id="Event Log" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Build" order="9" weight="0.4479419" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" weight="0.32951653" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Flutter Inspector" order="4" />
      <window_info anchor="right" id="Flutter Outline" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Preview" order="7" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://F:/sdk1/sources/android-28/android/content/res/XmlResourceParser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="18" column="7" lean-forward="true" selection-start-line="18" selection-start-column="7" selection-end-line="18" selection-end-column="7" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.0.0/1deaac9c124b19a14ebaf64780e7087d561541bd/appcompat-1.0.0-sources.jar!/androidx/appcompat/app/AppCompatViewInflater.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="450">
          <caret line="101" column="33" selection-start-line="101" selection-start-column="33" selection-end-line="101" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.core/core/1.0.0/a23a5f203e97d91666c374e408053b1878de3bff/core-1.0.0-sources.jar!/androidx/core/view/LayoutInflaterCompat.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="138" column="23" lean-forward="true" selection-start-line="138" selection-start-column="23" selection-end-line="138" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://F:/sdk1/sources/android-28/android/app/Activity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="2769" column="16" selection-start-line="2769" selection-start-column="16" selection-end-line="2769" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.0.0/1deaac9c124b19a14ebaf64780e7087d561541bd/appcompat-1.0.0-sources.jar!/androidx/appcompat/app/AppCompatActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="215">
          <caret line="139" column="28" selection-start-line="139" selection-start-column="28" selection-end-line="139" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.0.0/1deaac9c124b19a14ebaf64780e7087d561541bd/appcompat-1.0.0-sources.jar!/androidx/appcompat/app/AppCompatDelegateImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="200">
          <caret line="468" column="40" lean-forward="true" selection-start-line="468" selection-start-column="40" selection-end-line="468" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.0.0/1deaac9c124b19a14ebaf64780e7087d561541bd/appcompat-1.0.0-sources.jar!/androidx/appcompat/app/AppCompatDelegate.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="297" column="25" selection-start-line="297" selection-start-column="25" selection-end-line="297" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/colors.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="37" selection-start-line="4" selection-start-column="31" selection-end-line="4" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/android/content/res/AssetManager.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="226">
          <caret line="80" column="23" selection-start-line="80" selection-start-column="23" selection-end-line="80" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://F:/sdk1/sources/android-28/android/content/res/AssetManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="364" column="27" selection-start-line="364" selection-start-column="15" selection-end-line="364" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_core/src/main/res/values/attr.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="3" column="27" selection-start-line="3" selection-start-column="20" selection-end-line="3" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://F:/sdk1/sources/android-28/android/widget/TextView.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="193">
          <caret line="859" column="20" selection-start-line="859" selection-start-column="11" selection-end-line="859" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-117">
          <caret line="3" column="24" selection-start-line="3" selection-start-column="24" selection-end-line="3" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/skin/src/main/java/com/maniu/skin/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/skin/src/main/res/values/colors.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="37" selection-start-line="4" selection-start-column="37" selection-end-line="4" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider editor-type-id="android-manifest" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="501">
          <caret line="21" column="46" selection-start-line="21" selection-start-column="46" selection-end-line="21" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/bean/SkinItem.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="273">
          <caret line="28" selection-start-line="28" selection-end-line="28" />
          <folding>
            <element signature="e#606#607#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_two.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-450">
          <caret line="9" column="22" selection-start-line="9" selection-start-column="22" selection-end-line="9" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/bean/SkinView.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1075">
          <caret line="43" column="50" selection-start-line="43" selection-start-column="50" selection-end-line="43" selection-end-column="50" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#2270#2271#0" expanded="true" />
            <element signature="e#2297#2298#0" expanded="true" />
            <element signature="e#2335#2336#0" expanded="true" />
            <element signature="e#2367#2368#0" expanded="true" />
            <element signature="e#2411#2412#0" expanded="true" />
            <element signature="e#2443#2444#0" expanded="true" />
            <element signature="e#2501#2502#0" expanded="true" />
            <element signature="e#2543#2544#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_skin/TwoActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="327">
          <caret line="18" selection-start-line="18" selection-end-line="18" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_skin/MyApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" lean-forward="true" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/android/app/Activity.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="202">
          <caret line="732" column="16" lean-forward="true" selection-start-line="732" selection-start-column="16" selection-end-line="732" selection-end-column="16" />
          <folding>
            <element signature="e#20941#20942#0" expanded="true" />
            <element signature="e#20992#20993#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/android/view/LayoutInflater.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="13" column="22" selection-start-line="13" selection-start-column="22" selection-end-line="13" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://F:/sdk1/sources/android-28/android/view/LayoutInflater.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-423">
          <caret line="774" column="17" lean-forward="true" selection-start-line="774" selection-start-column="17" selection-end-line="774" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/SkinManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1625">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#750#751#0" expanded="true" />
            <element signature="e#788#789#0" expanded="true" />
            <element signature="e#3973#3974#0" expanded="true" />
            <element signature="e#4005#4006#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.2.0/13e8ff89631c2e101eb6bddd12c2fb4bbd74b15d/appcompat-1.2.0-sources.jar!/androidx/appcompat/app/AppCompatDelegate.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="202">
          <caret line="480" column="25" selection-start-line="480" selection-start-column="25" selection-end-line="480" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.2.0/13e8ff89631c2e101eb6bddd12c2fb4bbd74b15d/appcompat-1.2.0-sources.jar!/androidx/appcompat/app/AppCompatDelegateImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="1550" column="42" selection-start-line="1550" selection-start-column="42" selection-end-line="1550" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.appcompat/appcompat/1.2.0/13e8ff89631c2e101eb6bddd12c2fb4bbd74b15d/appcompat-1.2.0-sources.jar!/androidx/appcompat/app/AppCompatViewInflater.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1648">
          <caret line="113" column="26" selection-start-line="113" selection-start-column="18" selection-end-line="113" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_skin/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="281">
          <caret line="17" column="39" selection-start-line="17" selection-start-column="39" selection-end-line="17" selection-end-column="39" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/BaseActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="12" column="18" selection-start-line="12" selection-start-column="18" selection-end-line="12" selection-end-column="18" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_core/src/main/java/com/maniu/skin_core/manager/SkinFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="167">
          <caret line="87" column="7" lean-forward="true" selection-start-line="87" selection-start-column="7" selection-end-line="87" selection-end-column="7" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="15" column="47" lean-forward="true" selection-start-line="15" selection-start-column="47" selection-end-line="15" selection-end-column="47" />
        </state>
      </provider>
    </entry>
  </component>
</project>